List quantity samples

GET /users/{userId}/quantity-samples

Path parameters

userIdstring✻

The unique identifier of the user.

format: uuid

Documentation

Example
"70c09d76-e53c-470f-916a-ef33706382b4"

Query parameters

endDatestring

The end date of the range to filter results. Only results created on or before this date will be returned.

format: date-time

Documentation

Example
"2024-01-31T00:00:00Z"

limitnumber

The limit parameter is used to limit the number of results returned.

default: 100<=1000>=1

Documentation

orderstring

The order parameter is used to select which results should come first.

default: asc"asc""desc"

Documentation

skipnumber

The skip parameter is used to skip a number of results.

default: 0>=0

Documentation

Example
100

sortstring

The sort parameter is used to specify the order in which results should be returned.

default: createdAt"createdAt""startDate"

Documentation

sourcesarray

The sources parameter is used to filter objects by source.

A list of data sources.

Documentation

The source's identifier.

format: uuid

Documentation

Example
"f6c8e76c-d8a3-4339-879a-4a626edba805"

startDatestring

The start date of the range to filter results. Only results created on or after this date will be returned.

format: date-time

Documentation

Example
"2024-01-01T00:00:00Z"

typestring✻

The type parameter is used to filter quantity samples by type.

Responses

    200OK

Content application/json

A list of compact quantity samples.

Documentation

A quantity sample stripped of all non-essential fields.

Documentation

Properties

startDatestring✻

The sample's start date.

format: date-time

Documentation

Example
"2024-01-29T13:15:38.098Z"

endDatestring✻

The sample's end date.

format: date-time

Documentation

Example
"2024-01-29T13:15:39.412Z"

quantityobject✻

An object that stores a value for a given unit.

Documentation

Properties

unitstring✻

The quantity's unit.

Documentation

Example
"mg/dL"

valuenumber✻

The quantity's value.

Documentation

Example
100

Security

Servers

    data.hedia.comhttps://data.hedia.com/api/v1